classification
Title: SMTPUTF8SimTests are not actually being run
Type: behavior Stage: resolved
Components: Tests Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Segev Finer, chason.chaffin, r.david.murray
Priority: normal Keywords: patch

Created on 2018-01-25 08:41 by chason.chaffin, last changed 2018-07-26 14:03 by r.david.murray. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5314 merged chason.chaffin, 2018-01-25 09:08
PR 8470 open miss-islington, 2018-07-25 19:03
PR 8471 merged miss-islington, 2018-07-25 19:04
Messages (5)
msg310664 - (view) Author: Chason Chaffin (chason.chaffin) * Date: 2018-01-25 08:41
In the tests for smtplib, the suite of tests for SMTPUTF8SimTests (added by issue 24218)  are not actually being run. This is troublesome in particular, because the test test_send_message_error_on_non_ascii_addrs_if_no_smtputf8 calls assertRaises incorrectly and thus fails.
msg322387 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-07-25 19:01
New changeset 48ed88a93bb0bbeaae9a4cfaa533e4edf13bcb51 by R. David Murray (chason) in branch 'master':
bpo-32663 Make SMTPUTF8SimTests run (#5314)
https://github.com/python/cpython/commit/48ed88a93bb0bbeaae9a4cfaa533e4edf13bcb51
msg322424 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-07-26 13:58
New changeset 89352b08aad447d046551fa0cd374becd7941c91 by R. David Murray (Miss Islington (bot)) in branch '3.7':
bpo-32663 Make SMTPUTF8SimTests run (GH-5314) (#8471)
https://github.com/python/cpython/commit/89352b08aad447d046551fa0cd374becd7941c91
msg322425 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-07-26 14:02
New changeset cecbe0ade87360cd37cc1389fe33dd92f2cf52ba by R. David Murray (Miss Islington (bot)) in branch '3.6':
bpo-32663 Make SMTPUTF8SimTests run (GH-5314) (#8470)
https://github.com/python/cpython/commit/cecbe0ade87360cd37cc1389fe33dd92f2cf52ba
msg322426 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-07-26 14:03
Thanks, Chason.
History
Date User Action Args
2018-07-26 14:03:43r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg322426

stage: patch review -> resolved
2018-07-26 14:02:26r.david.murraysetmessages: + msg322425
2018-07-26 13:58:18r.david.murraysetmessages: + msg322424
2018-07-25 19:48:19Segev Finersetnosy: + Segev Finer
2018-07-25 19:04:24miss-islingtonsetpull_requests: + pull_request7995
2018-07-25 19:03:28miss-islingtonsetpull_requests: + pull_request7994
2018-07-25 19:01:33r.david.murraysetnosy: + r.david.murray
messages: + msg322387
2018-01-25 09:08:56chason.chaffinsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5160
2018-01-25 08:41:56chason.chaffincreate